import React from 'react';
declare type HTMLInputProps = React.InputHTMLAttributes<HTMLInputElement>;
declare type Props = HTMLInputProps & {
    id?: string;
    size?: string;
    defaultValue?: string;
    invalid?: boolean;
    fullWidth?: boolean;
    focusBorderColor?: string;
    'aria-describedby'?: string;
    'aria-label'?: string;
};
declare const OverflowInput: React.FC<Props>;
export default OverflowInput;
