# react-input-overflow

> Overflow input for React

[![NPM](https://img.shields.io/npm/v/react-input-overflow.svg)](https://www.npmjs.com/package/react-input-overflow) [![JavaScript Style Guide](https://img.shields.io/badge/code_style-standard-brightgreen.svg)](https://standardjs.com)


<div align="center">
  <img src="https://i.imgur.com/yJeLtaq.gif" />
</div>

## Install

```bash
npm install --save react-input-overflow
```

## Usage

```tsx
import * as React from 'react'

import InputOverflow from 'react-input-overflow'

const Example = () => {
  const [name, setName] = useState('Aivan');
  render () {
    return (
      <InputOverflow
        value={name}
        onChange={e => {
          setName(e.target.value);
        }}
      />
    )
  }
}
```

## License

MIT © [geocine](https://github.com/geocine)
